com.creamtec.core

## Class Utilities

- java.lang.Object
- - com.creamtec.core.Utilities

-     public class Utilities
      extends java.lang.Object

  Contains various helper methods

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CREAMTEC_ROOT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `execProcess(java.lang.String[] cmdParams, boolean wait)`
    `static void` | `execProcess(java.lang.String cmdLine, boolean wait)`
    `static void` | `execProcessImpl(java.lang.Process process, boolean wait)`
    `static java.lang.String` | `getConfDir()` Returns the path to the configuration directory, which is called "conf" and is located under root directory
    `static java.lang.String` | `getConfFullPath(java.lang.String fileName)` Returns the full path to a given file starting from the configuration directory
    `static java.lang.String` | `getFullPath(java.lang.String fileName)` Returns the full path to a given file starting from the root directory
    `static java.lang.String` | `getRootDir()` Returns the home directory specified via com.creamtec.home JVM property
    `static void` | `setRootDir(java.lang.String dir)` Can be used to provide the directory where the property file is located
    `static java.lang.Exception` | `wrapThrowable(java.lang.Throwable x)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CREAMTEC_ROOT

          public static final java.lang.String CREAMTEC_ROOT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getRootDir

          public static java.lang.String getRootDir()

      Returns the home directory specified via com.creamtec.home JVM property
      Returns:
        root directory

    - #### getConfDir

          public static java.lang.String getConfDir()

      Returns the path to the configuration directory, which is called "conf" and is located under root directory
      Returns:
        configuration directory

    - #### getFullPath

          public static java.lang.String getFullPath(java.lang.String fileName)

      Returns the full path to a given file starting from the root directory
      Parameters:
        `fileName` - file name
      Returns:
        full directory path

    - #### getConfFullPath

          public static java.lang.String getConfFullPath(java.lang.String fileName)

      Returns the full path to a given file starting from the configuration directory
      Parameters:
        `fileName` - file name
      Returns:
        full directory path

    - #### setRootDir

          public static void setRootDir(java.lang.String dir)

      Can be used to provide the directory where the property file is located

    - #### execProcess

          public static void execProcess(java.lang.String[] cmdParams,
                         boolean wait)
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### execProcess

          public static void execProcess(java.lang.String cmdLine,
                         boolean wait)
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### execProcessImpl

          public static void execProcessImpl(java.lang.Process process,
                             boolean wait)
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### wrapThrowable

          public static java.lang.Exception wrapThrowable(java.lang.Throwable x)

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.